org.eclipse.rdf4j.sail.shacl.results

## Class ValidationResult

- java.lang.Object
- - org.eclipse.rdf4j.sail.shacl.results.ValidationResult

- All Implemented Interfaces:
    ModelInterface

      public class ValidationResult
      extends Object
      implements ModelInterface

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidationResult(PropertyShape sourceShape, Resource focusNode)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Model` | `asModel(Model model)`
    `ValidationResult` | `getDetail()`
    `List<ValidationResult>` | `getDetails()`
    `Resource` | `getId()`
    `SourceConstraintComponent` | `getSourceConstraintComponent()`
    `Resource` | `getSourceShapeResource()`
    `void` | `setDetail(ValidationResult detail)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.sail.shacl.results.ModelInterface

      `asModel`

- - ### Constructor Detail

    - #### ValidationResult

          public ValidationResult(PropertyShape sourceShape,
                                  Resource focusNode)

  - ### Method Detail

    - #### setDetail

          public void setDetail(ValidationResult detail)

    - #### getDetail

          public ValidationResult getDetail()

      Returns:
        ValidationResult with more information as to what failed. Usually for nested Shapes in eg. sh:or.

    - #### getDetails

          public List<ValidationResult> getDetails()

      Returns:
        all ValidationResult(s) with more information as to what failed. Usually for nested Shapes in eg. sh:or.

    - #### asModel

          public Model asModel(Model model)

      Specified by:
        `asModel` in interface `ModelInterface`

    - #### getSourceShapeResource

          public Resource getSourceShapeResource()

      Returns:
        the Resource (IRI or BNode) that identifies the source shape

    - #### getId

          public Resource getId()

      Specified by:
        `getId` in interface `ModelInterface`

    - #### getSourceConstraintComponent

          public SourceConstraintComponent getSourceConstraintComponent()

      Returns:
        the type of the source constraint that caused the violation

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.